Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.search.impl.jcr
Class JCRQueryConverter

    java.lang.Object
      org.jboss.portal.search.impl.AbstractQueryConverter
          org.jboss.portal.search.impl.jcr.JCRQueryConverter

All Implemented Interfaces:
  QueryConverter

    public class JCRQueryConverter

extends AbstractQueryConverter

Version:
  $Revision: 11145 $
Author:
  Thomas Heute

Constructor Summary
`JCRQueryConverter()`

Method Summary
`Query` | `convert(FederatedQuery query)`
`Query` | `convertBooleanQuery(org.apache.lucene.search.BooleanQuery query)`
`Query` | `convertTermQuery(org.apache.lucene.search.TermQuery query)`

Methods inherited from class org.jboss.portal.search.impl.AbstractQueryConverter
`convert`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCRQueryConverter

    public JCRQueryConverter()

Method Detail

### convert

    public Query convert(FederatedQuery query)
                  throws QueryConversionException

  Specified by:
    `convert` in interface `QueryConverter`
  Overrides:
    `convert` in class `AbstractQueryConverter`
  Throws:
    `QueryConversionException`

### convertTermQuery

    public Query convertTermQuery(org.apache.lucene.search.TermQuery query)

  Specified by:
    `convertTermQuery` in class `AbstractQueryConverter`

### convertBooleanQuery

    public Query convertBooleanQuery(org.apache.lucene.search.BooleanQuery query)
                              throws QueryConversionException

  Specified by:
    `convertBooleanQuery` in class `AbstractQueryConverter`
  Throws:
    `QueryConversionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD